本文へスキップ

異なる場所にポートを接続

異なるIBXデータセンターに配置されたIT資産間を低レイテンシーで直接接続します。

前提条件

  1. Authenticate - OAuth2認証のためのユーザー認証情報、クライアントID、クライアントシークレットを送信します。OAuth APIを呼び出して認証情報を検証および認証する方法については、API Authenticationを参照してください。

  2. Get All Portsエンドポイントを使用して、aサイドおよびzサイドポートの関連ポート情報を取得します。

2 つの DOT1Q ポート間に冗長性のない接続を作成する

2 つの DOT1Q Ports 間で非冗長接続を作成するには、/fabric/v4/connections エンドポイントに POST リクエストを送信します。リクエストの本文に、接続の設定の詳細を指定します。

POST /fabric/v4/connections
MethodPOST
Endpoint/fabric/v4/connections
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query ParametersNot applicable
Body Parameterstype, name, order, bandwidth, aSide, zSide, project, notifications

接続を作成せずに本番環境でこのリクエストを安全に検証するには、[本番環境でのテスト(APIドライラン)](../../equinix-api/testing/testing-in-production-dry-run.md)を参照してください。

cURLリクエストのサンプル:

curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "type": "EVPL_VC",
    "name": "Conn-1",
    "order": {
        "purchaseOrderNumber": "1-129105284100"
    },
    "geoScope": "CONUS",
    "bandwidth": 1000,
    "aSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
            },
            "linkProtocol": {
                "type": "DOT1Q",
                "vlanTag": 1001
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
            },
            "linkProtocol": {
                "type": "DOT1Q",
                "vlanTag": 1001
            }
        }
    },
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test@equinix.com"
            ]
        }
    ]
}'

DOT1QポートからQINQポートへの非冗長接続の作成

DOT1Q ポートから QINQ ポートへの非冗長接続を作成するには、/fabric/v4/connections エンドポイントに POST リクエストを送信します。リクエストの本文に、接続の設定の詳細を指定します。

cURLリクエストのサンプル:

curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "type": "EVPL_VC",
    "name": "Conn-1",
    "order": {
        "purchaseOrderNumber": "1-129105284100"
    },
    "geoScope": "CONUS",
    "bandwidth": 1000,
    "aSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
            },
            "linkProtocol": {
                "type": "DOT1Q",
                "vlanTag": 1001
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
            },
            "linkProtocol": {
                "type": "QINQ",
                "vlanSTag": 2001,
                "vlanCTag": 2002,
            }
        }
    },
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test@equinix.com"
            ]
        }
    ]
}'

リクエストボディに含まれるパラメータは、この例に特有のものです。パラメーターの全リストとその説明については、APIリファレンスを参照してください。

回答例

{
    "href": "https://api.equinix.com/fabric/v4/connections/3a58dd05-f46d-4b1d-a154-2e85c396ea62",
    "type": "EVPL_VC",
    "uuid": "3a58dd05-f46d-4b1d-a154-2e85c396ea62",
    "name": "Conn-1",
    "state": "PENDING_AUTO_APPROVAL",
    "order": {
        "purchaseOrderNumber": "1-129105284100",
        "billingTier": "Up to 1 Gbps"
    },
    "bandwidth": 1000,
    "aSide": {
        "accessPoint" {
            "type": "COLO",
            "port": {
                "href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",
                "type": "XF_PORT",
                "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
            },
            "linkProtocol": {
                "type": "DOT1Q",
                "vlanTag": 1001
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",
                "type": "XF_PORT",
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
            },
            "linkProtocol": {
                "type": "QINQ",
                "vlanSTag": 2001,
                "vlanCTag": 2002,
            }
        }
    },
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test@equinix.com"
            ]
        }
    ],
    "operation": {
        "equinixStatus": "PROVISIONING",
        "providerStatus": "NOT_AVAILABLE"
    },
    "changeLog": {
        "createdDateTime": "2021-07-15T19:30:29.526Z"
    }
}

レスポンスペイロードには、リクエストボディで定義された設定パラメータが含まれます。使用可能なパラメータの一覧とその説明については、API リファレンス を参照してください。

QINQ ポートから DOT1Q ポートへの非冗長接続の作成

QINQ ポートから DOT1Q ポートへの非冗長接続を作成するには、/fabric/v4/connections エンドポイントに POST リクエストを送信します。リクエストの本文に、接続の設定の詳細を指定します。

cURLリクエストのサンプル:

curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "type": "EVPL_VC",
    "name": "Conn-1",
    "order": {
        "purchaseOrderNumber": "1-129105284100"
    },
    "geoScope": "CONUS",
    "bandwidth": 1000,
    "aSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
            },
            "linkProtocol": {
                "type": "QINQ",
                "vlanSTag": 1001,
                "vlanCTag": 1002
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
            },
            "linkProtocol": {
                "type": "DOT1Q",
                "vlanTag": 1001
            }
        }
    },
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test@equinix.com"
            ]
        }
    ]
}'

リクエストボディに含まれるパラメータは、この例に特有のものです。パラメーターの全リストとその説明については、APIリファレンスを参照してください。

2 つの QINQ ポート間に冗長性のない接続を作成する

2 つの QINQ Ports 間で非冗長接続を作成するには、/fabric/v4/connections エンドポイントに POST リクエストを送信します。リクエストの本文に、接続の設定の詳細を指定します。

cURLリクエストのサンプル:

curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "type": "EVPL_VC",
    "name": "Conn-1",
    "order": {
        "purchaseOrderNumber": "1-129105284100"
    },
    "geoScope": "CONUS",
    "bandwidth": 1000,
    "aSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
            },
            "linkProtocol": {
                "type": "QINQ",
                "vlanSTag": 1001,
                "vlanCTag": 1002
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
            },
            "linkProtocol": {
                "type": "QINQ",
                "vlanSTag": 2001,
                "vlanCTag": 2002,
            }
        }
    },
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test@equinix.com"
            ]
        }
    ]
}'

リクエストボディに含まれるパラメータは、この例に特有のものです。パラメーターの全リストとその説明については、APIリファレンスを参照してください。

接続の監視

接続ステータスを監視するには、Get Specified Connection エンドポイントを使用します。

equinixStatus parameter valuesproviderStatus attribute valuesDescription
PENDING_AUTO_APPROVALNOT_AVAILABLEConnection request has been sent for auto approval. As the connection is within the same organization (i.e. A-side and Z-side) the connection would fall under auto approval.
PROVISIONINGNOT_AVAILABLEConnection establishment in progress.
PROVISIONEDAVAILABLEConnection established.

このページは役に立ちましたか?